Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

One-hop neighbours of a notes graph node

GET
/api/v1/saga/graph/nodes/{id}/neighbors
curl --request GET \
--url https://api.yggy.tech/api/v1/saga/graph/nodes/example/neighbors \
--header 'Authorization: Bearer <token>'

At most 50 neighbours of the node, with the edges between them and the node.

id
required

Graph node id

string
>= 1 characters <= 64 characters /^0x[0-9a-f]+$/i/

Graph node id

Neighbours

Media type application/json
object
nodes
required
Array<object>
object
id
required
string
label
required
string
type
required
string
degree
integer
edges
required
Array<object>
object
id
required
string
source
required
string
target
required
string
predicate
required
string
omitted
integer
Example generated
{
"nodes": [
{
"id": "example",
"label": "example",
"type": "example",
"degree": 1
}
],
"edges": [
{
"id": "example",
"source": "example",
"target": "example",
"predicate": "example"
}
],
"omitted": 1
}

Not a yggy notes workspace

Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{
"success": false
}

No such node in this workspace

Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{
"success": false
}

Too many graph requests

Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{
"success": false
}